Curate in bulk
POST
/api/v3/curations/bulk
const url = 'https://api.tryletterhead.com/api/v3/curations/bulk';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"api":true,"curations":[{"url":"https://example.com/article-one","title":"First Article","channels":["an-example-channel"]},{"url":"https://example.com/article-two","title":"Second Article","excerpt":"A brief summary of the second article.","tags":["politics","local"],"overwriteTags":true},{"url":"https://example.com/article-three","channels":["an-example-channel"]}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.tryletterhead.com/api/v3/curations/bulk \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "api": true, "curations": [ { "url": "https://example.com/article-one", "title": "First Article", "channels": [ "an-example-channel" ] }, { "url": "https://example.com/article-two", "title": "Second Article", "excerpt": "A brief summary of the second article.", "tags": [ "politics", "local" ], "overwriteTags": true }, { "url": "https://example.com/article-three", "channels": [ "an-example-channel" ] } ] }'Create multiple curations for any channel within the company. Note that the v3 api requires a key generated from within the company-level settings.
Provided that you are curating the same url, Letterhead will not create a duplicate curation, and you can use this endpoint to also update one if it is already in the system.
It accepts the same parameters as the Curate endpoint.
Authorizations
Section titled βAuthorizations βRequest Body required
Section titled βRequest Body required β Media type application/json
object
api
Required. Set to true to authenticate with an API key.
boolean
curations
Array<object>
object
url
string
title
string
channels
Array<string>
Example
{ "api": true, "curations": [ { "url": "https://example.com/article-one", "title": "First Article", "channels": [ "an-example-channel" ] }, { "url": "https://example.com/article-two", "title": "Second Article", "excerpt": "A brief summary of the second article.", "tags": [ "politics", "local" ], "overwriteTags": true }, { "url": "https://example.com/article-three", "channels": [ "an-example-channel" ] } ]}Responses
Section titled β Responses β202 Accepted
Media type application/json
object
message
string
status
integer
total
integer
Example
{ "message": "3 curations accepted for processing", "status": 202, "total": 4}Still can’t find what you need? Contact support.